import 'package:flutter/material.dart';
import 'package:flutter_workshop/views/home/screen.dart';

class HomeContainer extends StatefulWidget {
  const HomeContainer({
     super.key,
    this.email = "-"
  });
  
  final String email;

  @override
  State<HomeContainer> createState() => _HomeContainerState();
}

class _HomeContainerState extends State<HomeContainer> {
  int _selectedIndex = 0;

  void _onSelectMenu(int targetIndex) {
    setState(() {
      _selectedIndex = targetIndex;
    });
  }

  void _onLogout() {
    Navigator.pushNamedAndRemoveUntil(context, "/login", (route) => false);
  }

  @override
  Widget build(BuildContext context) {
    return HomeViewScreen(
      email: widget.email,
      selectedIndex: _selectedIndex,
      onDestination: _onSelectMenu,
      onLogout: _onLogout,
    );
  }
}