import 'package:flutter/material.dart';
import 'package:flutter_workshop/screens/home.dart';
import 'package:flutter_workshop/views/login/screen.dart';

class LoginContainer extends StatefulWidget {
  const LoginContainer({super.key});

  @override
  State<LoginContainer> createState() => _LoginContainerState();
}

class _LoginContainerState extends State<LoginContainer> {
  String _email = "";
  String _password = "";

  void onChangeEmail(String email) {
    setState(() {
      _email = email;
    });

    print(_email);
  }

  void onChangePassword(String password) {
    setState(() {
      _password = password;
    });

    print(_password);
  }

  void onSubmit() {
    Navigator.pushAndRemoveUntil(context, 
    MaterialPageRoute(builder: (context) => HomeScreen(email: _email,)), 
      (route) => false
    );
  }

  @override
  Widget build(BuildContext context) {
    return LoginViewScreen(
      onChangeEmail: onChangeEmail,
      onChangePassword: onChangePassword,
      onSubmit: onSubmit,
      canSubmit: _email.isNotEmpty && _password.isNotEmpty && RegExp(r'^.*@.*\.[a-zA-Z0-9]{1,15}$').hasMatch(_email),
    );
  }
}
