import 'package:flutter/material.dart';

final List<NavigationRailDestination> menues = [
  const NavigationRailDestination(
    icon: Icon(Icons.account_balance),
    label: Text("Accounting")
  ),
  const NavigationRailDestination(
    icon: Icon(Icons.settings),
    label: Text("Setting")
  )
];

class AppSidebar extends StatelessWidget {
  const AppSidebar({
    super.key,
    this.selectedIndex = 0,
    this.onDestination
  });

  final int selectedIndex;
  final void Function(int)? onDestination;

  @override
  Widget build(BuildContext context) {
    return NavigationRail(
      elevation: 5,
      extended: true,
      selectedIndex: selectedIndex,
      onDestinationSelected: onDestination,
      destinations: menues,
    );
  }
}