import 'package:flutter/material.dart';

class AppTextField extends StatelessWidget {
  const AppTextField({
    super.key,
    this.obsecureText = false,
    this.onChange,
    this.labelText = "-"
  });

  final bool obsecureText;
  final void Function(String)? onChange;
  final String labelText;

  @override
  Widget build(BuildContext context) {
    return TextField(
      obscureText: obsecureText,
      decoration: InputDecoration(
        labelText: labelText,
        border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(30),
        )
      ),
      onChanged: onChange,
    );
  }
}