import 'package:flutter/material.dart';
import 'package:flutter_workshop/views/components/text_field.dart';

class LoginViewScreen extends StatelessWidget {
  const LoginViewScreen({
    super.key,
    this.onChangeEmail,
    this.onChangePassword,
    this.onSubmit,
    this.canSubmit = false
  });

  final void Function(String)? onChangeEmail;
  final void Function(String)? onChangePassword;
  final void Function()? onSubmit;
  final bool canSubmit;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Container(
          padding: const EdgeInsets.all(20),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Container(
                width: 240,
                padding: const EdgeInsets.only(bottom: 50),
                child: Image.asset("assets/images/flexwork-logo.png"),
              ),
              Container(
                padding: const EdgeInsets.only(bottom: 15),
                child: const Text(
                  "เข้าสู่ระบบ FlexID", 
                  style: TextStyle(fontWeight: FontWeight.w600),
                ),
              ),
              Container(
                padding: const EdgeInsets.only(bottom: 15),
                child: AppTextField(
                  onChange: onChangeEmail,
                  labelText: "อีเมล",
                ),
              ),
              Container(
                padding: const EdgeInsets.only(bottom: 15),
                child: AppTextField(
                  obsecureText: true,
                  onChange: onChangePassword,
                  labelText: "รหัสผ่าน",
                ),
              ),
              Container(
                padding: const EdgeInsets.only(top: 15),
                child: ElevatedButton(
                  onPressed: canSubmit ? onSubmit: null,
                  style: ElevatedButton.styleFrom(
                    shape: const StadiumBorder(),
                    minimumSize: Size(MediaQuery.of(context).size.width, 60)
                  ),
                  child: const Text("เข้าสู่ระบบ"),        
                ),
              )
            ],
          ),
        ),
      ),
    );
  }
}